precision mediump float;

uniform float alpha;
uniform float palette;
uniform sampler2D texture;

varying float vertex_fog;
varying float vertex_texcoord;

void main() {
	vec3 rgb = mix(texture2D(texture, vec2(vertex_texcoord, palette)).xyz, vec3(0.92, 0.92, 0.97), vertex_fog);
	gl_FragColor = vec4(rgb, alpha);
}
