uniform mat3 clip_matrix;
uniform vec3 clip_translate;
uniform float clip_z_offset;
uniform float clip_z_scale;

attribute vec3 position;

void main() {
	vec3 preclip = clip_matrix*position+clip_translate;
	gl_Position = vec4(preclip.x, preclip.y, preclip.z*clip_z_scale+clip_z_offset, preclip.z);
}
